Subject: RE: [Speechsc] SPEECHSC Protocol: Resource Type Identification

From: "Eric Burger" <[email-masked]>
Date: Fri, 13 Jun 2003 15:13:04 -0400

You mean, "say what you mean"? :-)

Any reason *not* to go with Neil's proposal?

> -----Original Message-----
> From: Neil Deason [mailto:[email-masked]]
> Sent: Fri, June 06, 2003 3:05 PM
> To: 'Sarvi Shanmugham'; Eric Burger
> Cc: 'IETF SPEECHSC (E-mail)'
> Subject: RE: [Speechsc] SPEECHSC Protocol: Resource Type 
> Identification
> 
> 
> It is even easier to parse if you use the separate SDP attributes
> approach. In terms of bytes required this needs to be seen in the
> context of the wider SIP message + SDP being used. The number of bytes
> being saved in the alternatives will be about as effective at
> 'compression' as the compact header name forms in SIP. 
> Therefore I would
> go for readability and easier debugging, something like the following
> ABNF grammar (incorporating Proposal I):
> 
>   resource-attribute = "resource" : resource-id
>   resource-id = 1*(alpha-numeric) ; typically ASR, TTS, SI, SV  
> 
>   channel-attribute = "channel" : channel-id
>   channel-id = 1*(DIGIT) ; must be unique for originating client
> 
> An example speechsc SDP media level description:
> 
>   m=control 32416 TCP application/speechsc
>   a=resource:ASR
>   a=channel:583769103560
> 
> Cheers,
> Neil.
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of Sarvi Shanmugham
> > Sent: 06 June 2003 09:38
> > To: Eric Burger
> > Cc: IETF SPEECHSC (E-mail)
> > Subject: Re: [Speechsc] SPEECHSC Protocol: Resource Type 
> > Identification
> > 
> > 
> > Makes sense. Both proposal 1 and 2 are fine with me.
> > If we plan on using Proposal I(or II), since it is a 
> variable length 
> > text string at the end, it might be useful to structure the 
> > identifier 
> > to allow easy parsing of the 2 pieces(specially since the 
> > main part is 
> > hexadecimal). Something like
> >            Channel -Identifer: 2354AB123D243@ASR
> > OR
> >            Require the main part of the Channel-identifer to be 
> > specified in decimal, in whcih case the separation is clear.
> >            Channel -Identifer: 2352343243242324ASR
> > 
> > Sarvi
> > 
> > Eric Burger wrote:
> > 
> > >[cf. Section 3.2 of 
> > 
>http://www.ietf.org/internet-drafts/draft-shanmugham-speechsc-00.txt]
> >
> >I don't like the idea of addressing resources by using magic 
> numbers at 
> >the end of a string.  Is there any reason not to use mnemonic 
> >identifiers?
> >
> >How about this for a proposal:
> >
> > Old Resource ID   Proposal I   Proposal II   Meaning
> >       00                                    Reserved
> >       01             ASR           SR       Speech Recognition
> >       02             TTS           SS       Speech Synthesis
> >       03             SI            SI       Speaker Identification
> >       04             SV            SV       Speaker Verification
> >
> >Proposal II uses the same number of bytes as the document proposes.  
> >However, it is somewhat more readable.  Proposal I uses 1 more byte 
> >(adding 0.5% overhead :-) and is yet more readable.
> >
> >Thoughts?
> >
> >_______________________________________________
> >Speechsc mailing list
> >[email-masked] https://www1.ietf.org/mailman/listinfo/speechsc
> >
> >  
> >
> 
> 
> _______________________________________________
> Speechsc mailing list
> [email-masked] https://www1.ietf.org/mailman/listinfo/speechsc
> 

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc